<link rel="import" href="../../polymer_components/polymer/polymer.html">
<link rel="import" href="./status-collection.html">

<dom-module id="users-card">
  <link rel="stylesheet" href="users-card.css">
  <template>
    <a class="image" href="#">
      <img src="../img/{{img}}">
    </a>
    <div class="content">
      <a class="header" href="#">{{name}}</a>
      <div class="meta">
        <b><status-collection collection="{{status}}"></status-collection></b>
        <a>{{email}}</a>
      </div>
      <div class="ui buttons center ui horizontal segments">
        <a class="ui button teal" target="_blank" href="../documents/{{cv}}">CV</a>
        <a class="ui button blue" target="_blank" href="{{web}}"> Web</a>
      </div>
    </div>
  </template>
</dom-module>

<script>
Polymer({
  is: 'users-card',
  properties: {
    name: String,
    status: {
      type: Array,
      value: () => []
    },
    img: String,
    email: String,
    cv: String,
    web: String
  },
  // ready: function() {
  //   let newStatus = [];
  //   for (let i = 0; i < this.status.length; i++) {
  //     if (i < this.status.length - 1) {
  //       newStatus.push(this.status[i] + ",");
  //     } else
  //     newStatus.push(this.status[i]);
  //   }
  //   this.status = newStatus;
  // },
});
</script>
